### Constructor

# Spelling TextBufferAdapter new

#### Declaration [src]

    SpellingTextBufferAdapter*
    spelling_text_buffer_adapter_new (
      GtkSourceBuffer* buffer,
      SpellingChecker* checker
    )

#### Description [src]

Create a new `SpellingTextBufferAdapter`.

#### Parameters

`buffer`

  Type: `GtkSourceBuffer`

  A `GtkSourceBuffer`.

  The data is owned by the caller of the function.

`checker`

  Type: `SpellingChecker`

  A `SpellingChecker`.

  The data is owned by the caller of the function.

#### Return value

Type: `SpellingTextBufferAdapter`

A newly created `SpellingTextBufferAdapter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.